Skip to main content

Get document notifications

GET 

/documents/:documentId/notifications

Get notifications attached to a document or one of its artifacts

Request​

Path Parameters

    documentId stringrequired

    Document Identifier

Query Parameters

    siteId string

    Site Identifier

    artifactId string

    Artifact Document Identifier

    limit string

    Limit Results

    Default value: 10
    next string

    Next page of results token

Responses​

200 OK

Response Headers

  • Access-Control-Allow-Origin

    string

  • Access-Control-Allow-Methods

    string

  • Access-Control-Allow-Headers

    string

Schema

    next string

    Next page of results token

    notifications

    object[]

    List of document notifications

  • Array [

  • entityTypeId string

    Reminder Policy entity type identifier

    entityId string

    Reminder Policy entity identifier

    cc string[]

    Normalized CC recipient email addresses

    bcc string[]

    Normalized BCC recipient email addresses

    notificationType DocumentNotificationType (string)

    Type of document notification

    Possible values: [EMAIL, IN_APP]

    notificationDate string

    Scheduled notification occurrence date

    status DocumentNotificationStatus (string)

    Status of the document notification. WAITING awaits an external trigger and is not eligible for processing. PENDING is ready for processing. ACTION_CREATED indicates that a Document Action has been created.

    Possible values: [WAITING, PENDING, ACTION_CREATED]

    action

    object

    status DocumentActionStatus (string)

    Status of the Document Action

    Possible values: [COMPLETE, ASYNC_COMPLETE, FAILED, IN_QUEUE, PENDING, RUNNING, SKIPPED, FAILED_RETRY, MAX_RETRIES_REACHED, WAITING_FOR_RETRY]

    type DocumentActionType (string)

    Type of the Document Action

    Possible values: [ANTIVIRUS, DOCUMENTTAGGING, FULLTEXT, MOVE, DELETE, CHECKSUM, NOTIFICATION, OCR, QUEUE, WEBHOOK, IDP, PUBLISH, PDFEXPORT, EVENTBRIDGE, RESIZE, LLMPROMPT, DATA_CLASSIFICATION, MALWARE_SCAN]

    retryCount number

    The number of times this action has already been attempted

    maxRetries number

    The maximum number of retry attempts allowed for this action

    queueId string

    Queue Id

    workflowId string

    Workflow Id

    workflowStepId string

    Workflow Step Id

    message string

    Action message information

    userId string

    User who requested the Action

    insertedDate string

    Inserted Timestamp

    startDate string

    Started Timestamp

    completedDate string

    Completed Timestamp

    parameters

    object

    Action parameters

    metadata

    object

    Action metadata

    property name* string
    insertedDate string

    Inserted timestamp

  • ]

Loading...